# Uses of Enum Class
org.apache.cxf.service.model.MessageInfo.Type

Packages that use MessageInfo.Type
Package
Description
org.apache.cxf.service.model

- ## Uses of MessageInfo.Type in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return MessageInfo.Type
  Modifier and Type
  Method
  Description
  `MessageInfo.Type`
  MessageInfo.`getType()`
  `static MessageInfo.Type`
  MessageInfo.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MessageInfo.Type[]`
  MessageInfo.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.cxf.service.model with parameters of type MessageInfo.Type
  Modifier and Type
  Method
  Description
  `MessageInfo`
  OperationInfo.`createMessage(QName nm, MessageInfo.Type type)`
  `void`
  MessageInfo.`setType(MessageInfo.Type type)`
  Constructors in org.apache.cxf.service.model with parameters of type MessageInfo.Type
  Modifier
  Constructor
  Description
  ``
  `MessageInfo(OperationInfo op, MessageInfo.Type type, QName nm)`